# lcdMenu

A micropython library, which supports vertical and horizontal scrolling through menu items on both 2x16 and 4x20 liquid crystal displays

This project is the completely rewritten successor of my old (and now archived) [ProgramChooser](/BlueFox/ProgramChooser) library.


## Roadmap

- [x] forward, backward and select button
- [ ] support for horizontal and vertical scrolling
- [ ] support for both 2x16 and 4x20 LCDs
- [x] a reliable order of the menu items
- [ ] good documentation for all of this (maybe through examples)
- [x] show an exit screen when a specific exit code is returned by a callback function
- [ ] make the menu itself exitable (to enable stuff like submenus, etc.)
- [x] make the project a valid python package 


## License

This project is licensed under the GPL-v3-or-later. A copy can be found [here](LICENSE).